Package org.silverpeas.processmanager

## Class HistoryStepContent

- java.lang.Object
- - org.silverpeas.processmanager.HistoryStepContent

-     public class HistoryStepContent
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HistoryStepContent​(org.silverpeas.core.contribution.content.form.Form form, org.silverpeas.core.contribution.content.form.PagesContext pageContext, org.silverpeas.core.contribution.content.form.DataRecord record)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.silverpeas.core.contribution.content.form.Form` | `getForm()` |
    `org.silverpeas.core.contribution.content.form.PagesContext` | `getPageContext()` |
    `org.silverpeas.core.contribution.content.form.DataRecord` | `getRecord()` |
    `void` | `setForm​(org.silverpeas.core.contribution.content.form.Form form)` |
    `void` | `setPageContext​(org.silverpeas.core.contribution.content.form.PagesContext pageContext)` |
    `void` | `setRecord​(org.silverpeas.core.contribution.content.form.DataRecord record)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HistoryStepContent

          public HistoryStepContent​(org.silverpeas.core.contribution.content.form.Form form,
                                    org.silverpeas.core.contribution.content.form.PagesContext pageContext,
                                    org.silverpeas.core.contribution.content.form.DataRecord record)

  - ### Method Detail

    - #### getForm

          public org.silverpeas.core.contribution.content.form.Form getForm()

    - #### setForm

          public void setForm​(org.silverpeas.core.contribution.content.form.Form form)

    - #### getPageContext

          public org.silverpeas.core.contribution.content.form.PagesContext getPageContext()

    - #### setPageContext

          public void setPageContext​(org.silverpeas.core.contribution.content.form.PagesContext pageContext)

    - #### getRecord

          public org.silverpeas.core.contribution.content.form.DataRecord getRecord()

    - #### setRecord

          public void setRecord​(org.silverpeas.core.contribution.content.form.DataRecord record)